System Requirements

All you need to access your Activity assignments in the LMS are:

  • Connection to the internet. 
  • Flash Player installed on your browser - We recommend the most up-to-date version, which can be downloaded here.  Note that this is only required for some SCORM/AICC online courses.

Some of your courseware may require the Java plug-in.  If you receive a message to install the Java Applet, you can download this plug-in here.

If you're accessing Exceed via the mobile app the requirements are listed below:

For Android: A device running Android 7.0 or above. 
For IOS: A device running IOS 9 or above.

NOTE: Your IT department may need to install any necessary updates to your browser and/or plug-ins on your computer.

Have more questions? Submit a request

0 Comments

Article is closed for comments.